package jp.co.celestee.ai.interfaces.characterin;

import jp.co.celestee.ai.interfaces.output.AbstractOutputId;
import jp.co.celestee.ai.interfaces.output.DataSyntheticIF;

/**
 * iIN)p̏oID
 * @author celestee
 *
 */
public class CharacterInOutputId extends AbstractOutputId implements DataSyntheticIF{

	private static final long serialVersionUID = 1L;

	private static final Class<?> _triggerClass = CharacterInOutputTrigger.class;
	
	private static final Class<?> _signalDataClass = CharacterInSignalData.class;

	@Override
	public Class<?> getTriggerClass() {
		return _triggerClass;
	}

	@Override
	public Class<?> getSignalDataClass() {
		return _signalDataClass;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target == null) return false;

		if(target instanceof CharacterInOutputId) {
			return true;
		}
		
		return false;
	}

}
