package jp.co.celestee.ai.interfaces.characterout;

import jp.co.celestee.ai.core.signal.SignalDataIF;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.ai.interfaces.output.AbstractOutputTrigger;

public class CharacterOutOutputTrigger extends AbstractOutputTrigger {

	@Override
	public void runTrigger(SignalDataIF signalData) {
		
		DefaultDataCooperationSignal signal = new DefaultDataCooperationSignal();
		signal.setElectricPotential(getElectricPotential());
		signal.setSignalData(signalData);

		CharacterOutSubstance.getInstance().inputDataFromAI(signal);
	}

	@Override
	public void initSignalData(SignalDataIF signalData) {
		CharacterOutSignalData coData = (CharacterOutSignalData)signalData;
		coData.setContents("");
	}

}
