package jp.co.celestee.ai.interfaces.body.id;

import jp.co.celestee.ai.interfaces.body.trigger.BodyWalkTrigger;

/**
 * ̗p̏oIDB
 * iނłB
 * @author celestee
 *
 */
public class BodyWalkId extends BodyId {
	
	private static final long serialVersionUID = 1L;

	private static final Class<?> _triggerClass = BodyWalkTrigger.class;
	
	@Override
	public Class<?> getTriggerClass() {
		return _triggerClass;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target == null) return false;

		if(target instanceof BodyWalkId) {
			return true;
		}
		
		return false;
	}

	@Override
	public String getSupposingItSaysInMansWords() {
		return "walk";
	}

}
