package jp.co.celestee.ai.interfaces.characterout;

import java.util.List;

import jp.co.celestee.ai.core.signal.AbstractSignalData;
import jp.co.celestee.ai.core.signal.SignalDataIF;

public class CharacterOutSignalData extends AbstractSignalData {

	private static final long serialVersionUID = 1L;

	/** e  */
	private String contents = null;

	public CharacterOutSignalData() {
	}

	public CharacterOutSignalData(String contents) {
		this.contents = contents;
	}
	
	@Override
	public Class<?> getOutputIdClass() {
		return null;
	}

	public String getContents() {
		return contents;
	}

	public void setContents(String contents) {
		this.contents = contents;
	}

	public String toString() {
		return "(CONTENTS=" + contents + ")";
	}

	public List<SignalDataIF> getPartsSignalDataList() {
		return null;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target instanceof CharacterOutSignalData) {
			CharacterOutSignalData data = (CharacterOutSignalData)target;
			boolean bContents = contents == null ? data.getContents() == null : contents.equals(data.getContents());
			return bContents;
		}
		
		return false;
	}
	
	@Override
	public int hashCode() {
		return 0;
	}

}
