package jp.co.celestee.ai.interfaces.characterout;

import jp.co.celestee.ai.interfaces.AbstractSubstance;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.external.rule.RuleDataIF;
import jp.co.celestee.external.rule.RuleIF;
import jp.co.celestee.external.rule.RuleManager;
import jp.co.celestee.external.rule.sound.SoundRule;
import jp.co.celestee.external.rule.sound.SoundRuleData;

public class CharacterOutSubstance extends AbstractSubstance {

	private static CharacterOutSubstance subInstance = new CharacterOutSubstance();
	
	private CharacterOutSubstance() {}
	
	public static CharacterOutSubstance getInstance() {
		return subInstance;
	}
	
	/**
	 * [̓
	 * @param ruleData
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void inputFromRule(
			RuleDataIF ruleData,
			AbstractSubstance.Signals signals) {
		//sȂ\bh
	}

	/**
	 * AI̓
	 * @param ruleData
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void inputFromAI(
			Object aiData,
			AbstractSubstance.Signals signals) {
		
		signals.setDataCooperationSignal((DefaultDataCooperationSignal)aiData);
	}

	/**
	 * C̎s
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void process(AbstractSubstance.Signals signals) {
		
	}

	/**
	 * [ւ̏o
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void outputToRule(
			Signals signals
			) {
		
		RuleIF rule = RuleManager.getInstance().getRule(SoundRule.SOUND_RULE);
		//[֓
		SoundRuleData ruleData = CharacterOutDataConverter.change(signals.getDataCooperationSignal());
		rule.input(ruleData);

	}
	
}
