package jp.co.celestee.ai.interfaces.image;

import java.awt.Polygon;


public class PolygonNull extends Polygon {

	private static final long serialVersionUID = 1L;

	private static PolygonNull polygon = new PolygonNull();
	
	private PolygonNull() {
		super(new int[]{0}, new int[]{0}, 0);
	}
	
	public static PolygonNull getInstance() {
		return polygon;
	}
	
	public String toString() {
		return "NONE_POLYGON";
	}

}
